package onyx.bluetooth;

import android.bluetooth.BluetoothAdapter;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends ActionBarActivity {

	private static int REQUEST_ENABLE_BT = 10;
	private BluetoothAdapter bluetooth_adapter;
	private Button button;
	private BroadcastReceiver receiver;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		addListenerOnButton();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	public void addListenerOnButton() {

		button = (Button) findViewById(R.id.button1);

		button.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View arg0) {
				bluetooth_adapter = BluetoothAdapter.getDefaultAdapter();
				if (bluetooth_adapter == null) {
					Toast.makeText(getApplicationContext(),
							"The device does not support bluetooth",
							Toast.LENGTH_SHORT).show();
					return;
				}
				if (!bluetooth_adapter.isEnabled()) {
					Intent it = new Intent(
							BluetoothAdapter.ACTION_REQUEST_ENABLE);
					startActivityForResult(it, REQUEST_ENABLE_BT);
				}
				receiver = new BroadcastReceiver() {
					
					@Override
					public void onReceive(Context context, Intent intent) {
						// TODO Auto-generated method stub
						
					}
				};
				bluetooth_adapter.startDiscovery();
			}
		});

	}

	protected void onActivityResult(int request_code, int result_code, Intent data) {
		if (request_code == REQUEST_ENABLE_BT && result_code == RESULT_OK) {
			Toast.makeText(getApplicationContext(),
					"Bluetooth activated",
					Toast.LENGTH_SHORT).show();
			return;
		}
	}
}
